#
# spec file for package perl-curry
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name curry
Name:           perl-curry
Version:        2.000001
Release:        1.8
Summary:        Create automatic curried method call closures for any class or object
License:        Artistic-1.0 OR GPL-1.0-or-later
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/M/MS/MSTROUT/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
Create automatic curried method call closures for any class or object

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Fri Dec 31 2021 Tina Müller <timueller+perl@suse.de>
- updated to 2.000001
  see /usr/share/doc/packages/perl-curry/Changes
  2.000001 - 2021-12-30
  - Fixage for curry::weak::_ via the inestimable dakkar
  2.000000 - 2021-12-28
  - Support curry::_ and curry::weak::_
* Sat Jun 24 2017 coolo@suse.com
- updated to 1.001000
  see /usr/share/doc/packages/perl-curry/Changes
  Revision history for curry
  1.001000 - 2017-06-23
  - Support $curry::curry and $curry::weak
* Wed Aug 27 2014 coolo@suse.com
- initial package 1.000000
  * created by cpanspec 1.78.08
